[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TFileNameEdit.RunDialog

Executes an Open or Save dialog for the DialogKind specified in the control.

## Declaration

Source position: editbtn.pas line 396

`public procedure TFileNameEdit.RunDialog; virtual;`

## Description

RunDialog is a virtual method used to create, display, and execute a dialog when the button for the control is clicked. It calls the CreateDialog method to create a TDialogKind instance for the type indicated in the DialogKind property. The Execute method for the dialog is called to display the dialog form. If Execute returns True, the SaveDialogResult method is called to perform the Open or Save action(s) needed for the DialogKind.

RunDialog is called from the ButtonClick method which occurs when the Button for the control has been clicked.